Saltar al contenido principal
POST
/
v1
/
warehouse
/
lots
/
{lotId}
/
reclassify
Reclassify an unknown lot into a known one
curl --request POST \
  --url https://api.bold-factory.com/v1/warehouse/lots/{lotId}/reclassify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "originId": "<string>",
  "originCode": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

lotId
string
requerido

Cuerpo

application/json
originId
string
requerido
originCode
string
requerido
originType
enum<string>
requerido
Opciones disponibles:
Unknown,
Purchase,
Production

Respuesta

OK